import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PresentationMobileBanner } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2024-07-12 15:38
 */
interface PresentationMobileBannerCU extends ConditionUtil<PresentationMobileBannerCU> {
    ID: FieldUtil<PresentationMobileBannerCU>;
    TEXT: FieldUtil<PresentationMobileBannerCU>;
    SORT: FieldUtil<PresentationMobileBannerCU>;
    URL: FieldUtil<PresentationMobileBannerCU>;
    POSTER: FieldUtil<PresentationMobileBannerCU>;
    CREATE_TIME: FieldUtil<PresentationMobileBannerCU>;
    UPDATE_TIME: FieldUtil<PresentationMobileBannerCU>;
}
declare class PresentationMobileBannerMU extends TableUtilImpl<PresentationMobileBannerCU, PresentationMobileBanner> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PresentationMobileBannerCU;
    static get ID(): FieldUtil<PresentationMobileBannerCU>;
    static get TEXT(): FieldUtil<PresentationMobileBannerCU>;
    static get SORT(): FieldUtil<PresentationMobileBannerCU>;
    static get URL(): FieldUtil<PresentationMobileBannerCU>;
    static get POSTER(): FieldUtil<PresentationMobileBannerCU>;
    static get CREATE_TIME(): FieldUtil<PresentationMobileBannerCU>;
    static get UPDATE_TIME(): FieldUtil<PresentationMobileBannerCU>;
    get ID(): FieldUtil<PresentationMobileBannerCU>;
    get TEXT(): FieldUtil<PresentationMobileBannerCU>;
    get SORT(): FieldUtil<PresentationMobileBannerCU>;
    get URL(): FieldUtil<PresentationMobileBannerCU>;
    get POSTER(): FieldUtil<PresentationMobileBannerCU>;
    get CREATE_TIME(): FieldUtil<PresentationMobileBannerCU>;
    get UPDATE_TIME(): FieldUtil<PresentationMobileBannerCU>;
}
export { PresentationMobileBannerMU, PresentationMobileBannerCU };
